// Status class definition:  describes a widget with information about status
//                           of one players ships
// Copyright (C) 05.09.97 Marco Dettori and Oliver Obst
//
// $Id: status.h,v 0.2 1998/03/16 10:49:57 oliver Exp $

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

#ifndef STATUS_H
#define STATUS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <qwidget.h>

#include "ships.h"

// ----------------------------------------------------------------------------
// class Status

class Status : public QWidget
{
        Q_OBJECT
public:
        Status( char n, char *lengths, short stlen=11,
                QWidget *parent=0, const char *name=0 );
        virtual ~Status();

        void    resetStatus();
        void    setStatus( int nr, bool colorize = TRUE );

        void    setShip( char len );

protected:
        typedef Ships*  ShipP;

        void    resizeEvent( QResizeEvent * );
        
        ShipP   *fleet;
        char    ships;
        short   statuswidth;
};

#endif STATUS_H
